OpenID & Microformats in WordPress

The good news is that Will Norris is making progress with his openid plugin. Once he puts up a release, I’m probably going to give it a try.

The bad news is that the wordpress bug database still lists as a main reason to not support openid that support is provided by third party plugins. I think this is rubbish.

First of all, they’ve broken those plugins several times with wordpress updates. Secondly, the reason they break is that authentication is rather critical to how wordpress security works (i.e. it is kind of non trivial to do properly). This is why I’d like first class support for OpenID rather than second class we currently get. And finally most of the plugins appear to be abandon-ware (they once were excellent hobby projects but people seem to have moved on with their lives) and there are no release quality openid plugins for wordpress 2.2 and higher. Will Norris seems to have adopted one of the abandoned plugins (which is very nice of him) but as discussed, I’d prefer a bit more structural solution in terms of support, testing and integration. What I’d really like is the wordpress guys getting off their ass and provide first class support for openid like the Drupal guys are doing. I hope his plugin will get some nice exposure and will eventually be picked up by the wordpress guys as something to properly integrate into wordpress.

In general, the wordpress people seem to be a bit reluctant to pick up new blog technology lately. For example, I’m using the barthelme theme which supports a number microformats and semantically structured html. Barthelme basically provides searchengines, microformat plugins and other semantic tools with a shitload of hooks to extract information from the blog. That is sort of hidden for ordinary users but kind of rapidly becoming crucial to the whole notion of web 2.0 Sorry for sounding superficial, I hate this 2.0 bullshit as much as anyone (forget about a web20 tag on this site).

Tag support in wordpress is a nice first step and it should be noted that they do it properly. Also, there seem to be patches in the bug database for hcard and hatom support. It would be great if these changes actually make it into 2.4 instead of just floating around (like they’ve been doing for some time). Also nice would be extending atom feed support to the default template. This still defaults to listing only rss feeds, despite the fact that Atom Pub has prominently featured on the last few wordpress release notes (2.2.2 and 2.3) and that backend support for Atom 1.0 feeds has been present for quite some time now. Guys: It’s just one line of text to fix! Get it in already!